﻿Type=Class
Version=4.19
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Custom View class - LabeledTextField

#DesignerProperty: Key: LabelText, Displayname: LabelText, Fieldtype: String, Defaultvalue: Text, Description: The LabeledTextField Label
#DesignerProperty: Key: FieldValue, Displayname: FieldValue, Fieldtype: String, Defaultvalue: Value, Description: The LabeledTextField Field

Private Sub Class_Globals
	Private fx As JFX
	Private EventName As String 'ignore
	Private CallBack As Object 'ignore
	Private lblField As Label
	Private LabelText As String
	Private tfField As TextField
	Private FieldValue As String
End Sub

Public Sub Initialize (vCallback As Object, vEventName As String)
	EventName = vEventName
	CallBack = vCallback
End Sub

Public Sub DesignerCreateView (Base As Pane, Lbl As Label, Props As Map)
	lblField.Initialize("lblField")
	lblField.Style = Lbl.Style
	Base.AddNode(lblField, 0, 0, 200, -1)
	Base.Style = "-fx-border-style: none;"
	tfField.Initialize("tfField")
	tfField.Style = Lbl.Style
	Base.AddNode(tfField, 0, 20, 200, -1)
	lblField.Text = Props.Get("LabelText")
	tfField.Text = Props.Get("FieldValue")
End Sub

Private Sub Base_Resize (Width As Double, Height As Double)
	lblField.SetLayoutAnimated(0, 4, 0, (Width - 8), (Height / 2) - 4)
	tfField.SetLayoutAnimated(0, 4, Height / 2, (Width - 8), (Height / 2) - 4)
End Sub

Public Sub SetLabelText(v As String)
	lblField.Text = v
End Sub

Public Sub GetLabelText As String
	Return LabelText
End Sub

Public Sub GetFieldValue As String
	Return FieldValue
End Sub

Public Sub SetFieldValue(v As String)
	tfField.Text = v
End Sub

Private Sub tfField_TextChanged (Old As String, New As String)
	FieldValue = New
End Sub
